ScoopParserInternal::Shape Struct Reference documentation

ScoopParserInternal::Shape Struct Reference

Internal: the shape of a ScoopParser. More...

## Public Member Functions
| Shape ()
| constructor

## Public Attributes
int | m_type
| the shape type
MWAWGraphicStyle | m_style
| the graphic style
int | m_mode
| the mode: 0 copy, 1: or, ...
int | m_page
| the page
MWAWBox2f | m_boxes [2]
| the bounding boxes: final and original
int | m_rotation
| the rotation
int | m_verticalMode
| the vertical position: 0: center, 1: bottom, 2: top, 3: justify
bool | m_flips [2]
| the flip flags
int | m_local [2]
| the local values: circle: angles, rect: round dimension
std::vector< MWAWVec2i > | m_vertices
| the vertices: poly, spline, ...
long | m_textId
| the text main id
int | m_textLinkId
| the text link id
long | m_ids [4]
| the list of ids
MWAWEntry | m_entries [4]
| the list of entries
std::vector< Shape > | m_children
| the list of children: group

## Detailed Description

Internal: the shape of a ScoopParser.

## Constructor & Destructor Documentation

## ◆ Shape()

ScoopParserInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_boxes

MWAWBox2f ScoopParserInternal::Shape::m_boxes[2]

the bounding boxes: final and original

Referenced by ScoopParser::readShape(), and ScoopParser::send().

## ◆ m_children

std::vector<Shape> ScoopParserInternal::Shape::m_children

the list of children: group

Referenced by ScoopParser::readShape(), ScoopParser::send(), and Shape().

## ◆ m_entries

MWAWEntry ScoopParserInternal::Shape::m_entries[4]

the list of entries

Referenced by ScoopParser::readShape(), and ScoopParser::send().

## ◆ m_flips

bool ScoopParserInternal::Shape::m_flips[2]

the flip flags

Referenced by ScoopParser::readShape(), ScoopParser::send(), and Shape().

## ◆ m_ids

long ScoopParserInternal::Shape::m_ids[4]

the list of ids

Referenced by ScoopParser::readShape(), and Shape().

## ◆ m_local

int ScoopParserInternal::Shape::m_local[2]

the local values: circle: angles, rect: round dimension

Referenced by ScoopParser::readShape(), ScoopParser::send(), and Shape().

## ◆ m_mode

int ScoopParserInternal::Shape::m_mode

the mode: 0 copy, 1: or, ...

Referenced by ScoopParser::readShape(), and Shape().

## ◆ m_page

int ScoopParserInternal::Shape::m_page

the page

Referenced by ScoopParser::readShape(), and Shape().

## ◆ m_rotation

int ScoopParserInternal::Shape::m_rotation

the rotation

Referenced by ScoopParser::readShape(), ScoopParser::send(), and Shape().

## ◆ m_style

MWAWGraphicStyle ScoopParserInternal::Shape::m_style

the graphic style

Referenced by ScoopParser::readShape(), ScoopParser::send(), and Shape().

## ◆ m_textId

long ScoopParserInternal::Shape::m_textId

the text main id

Referenced by ScoopParser::readShape(), ScoopParser::send(), and Shape().

## ◆ m_textLinkId

int ScoopParserInternal::Shape::m_textLinkId

the text link id

Referenced by ScoopParser::readShape(), ScoopParser::send(), and Shape().

## ◆ m_type

int ScoopParserInternal::Shape::m_type

the shape type

Referenced by ScoopParser::readShape(), ScoopParser::send(), and Shape().

## ◆ m_verticalMode

int ScoopParserInternal::Shape::m_verticalMode

the vertical position: 0: center, 1: bottom, 2: top, 3: justify

Referenced by ScoopParser::readShape(), ScoopParser::send(), and Shape().

## ◆ m_vertices

std::vector<MWAWVec2i> ScoopParserInternal::Shape::m_vertices

the vertices: poly, spline, ...

Referenced by ScoopParser::readShape(), ScoopParser::send(), and Shape().

The documentation for this struct was generated from the following file:

- ScoopParser.cxx